Package org.eclipse.jface.databinding.viewers

## Class ViewerSupport

- java.lang.Object
- - org.eclipse.jface.databinding.viewers.ViewerSupport

    public class ViewerSupport
    extends Object

Helper methods for binding observables to a `StructuredViewer` or `AbstractTableViewer`.

Since:
  1.3

### Constructor Summary

Constructors
`ViewerSupport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <E> void` `bind​(AbstractTreeViewer viewer, E input, IListProperty<? super E,​? extends E> childrenProperty, IValueProperty<? super E,​?> labelProperty)` Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label property to generate labels.
`static <E> void` `bind​(AbstractTreeViewer viewer, E input, IListProperty<? super E,​? extends E> childrenProperty, IValueProperty<? super E,​?>... labelProperties)` Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label properties to generate labels.
`static <E> void` `bind​(AbstractTreeViewer viewer, E input, ISetProperty<? super E,​? extends E> childrenProperty, IValueProperty<? super E,​?> labelProperty)` Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label property to generate labels.
`static <E> void` `bind​(AbstractTreeViewer viewer, E input, ISetProperty<? super E,​? extends E> childrenProperty, IValueProperty<? super E,​?>... labelProperties)` Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label properties to generate labels.
`static <E> void` `bind​(StructuredViewer viewer, IObservableList<E> input, IValueProperty<? super E,​?> labelProperty)` Binds the viewer to the specified input, using the specified label property to generate labels.
`static <E> void` `bind​(StructuredViewer viewer, IObservableList<E> input, IValueProperty<? super E,​?>... labelProperties)` Binds the viewer to the specified input, using the specified label properties to generate labels.
`static <E> void` `bind​(StructuredViewer viewer, IObservableSet<E> input, IValueProperty<? super E,​?> labelProperty)` Binds the viewer to the specified input, using the specified label property to generate labels.
`static <E> void` `bind​(StructuredViewer viewer, IObservableSet<E> input, IValueProperty<? super E,​?>... labelProperties)` Binds the viewer to the specified input, using the specified label properties to generate labels.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewerSupport

    public ViewerSupport()

### Method Detail

#### bind

    public static <E> void bind​(StructuredViewer viewer,
                                IObservableList<E> input,
                                IValueProperty<? super E,​?> labelProperty)

Binds the viewer to the specified input, using the specified label property to generate labels.

Parameters:
  `viewer` - the viewer to set up
  `input` - the input to set on the viewer
  `labelProperty` - the property to use for labels

#### bind

    @SafeVarargs
    public static <E> void bind​(StructuredViewer viewer,
                                IObservableList<E> input,
                                IValueProperty<? super E,​?>... labelProperties)

Binds the viewer to the specified input, using the specified label properties to generate labels.

Parameters:
  `viewer` - the viewer to set up
  `input` - the input to set on the viewer
  `labelProperties` - the respective properties to use for labels in each of the viewer's columns

#### bind

    public static <E> void bind​(StructuredViewer viewer,
                                IObservableSet<E> input,
                                IValueProperty<? super E,​?> labelProperty)

Binds the viewer to the specified input, using the specified label property to generate labels.

Parameters:
  `viewer` - the viewer to set up
  `input` - the input to set on the viewer
  `labelProperty` - the property to use for labels

#### bind

    @SafeVarargs
    public static <E> void bind​(StructuredViewer viewer,
                                IObservableSet<E> input,
                                IValueProperty<? super E,​?>... labelProperties)

Binds the viewer to the specified input, using the specified label properties to generate labels.

Parameters:
  `viewer` - the viewer to set up
  `input` - the input to set on the viewer
  `labelProperties` - the respective properties to use for labels in each of the viewer's columns

#### bind

    public static <E> void bind​(AbstractTreeViewer viewer,
                                E input,
                                IListProperty<? super E,​? extends E> childrenProperty,
                                IValueProperty<? super E,​?> labelProperty)

Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label property to generate labels.

Parameters:
  `viewer` - the tree viewer to set up
  `input` - the input to set on the viewer
  `childrenProperty` - the property to use as the children of an element
  `labelProperty` - the property to use for labels

#### bind

    @SafeVarargs
    public static <E> void bind​(AbstractTreeViewer viewer,
                                E input,
                                IListProperty<? super E,​? extends E> childrenProperty,
                                IValueProperty<? super E,​?>... labelProperties)

Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label properties to generate labels.

Parameters:
  `viewer` - the tree viewer to set up
  `input` - the input to set on the viewer
  `childrenProperty` - the property to use as the children of an element
  `labelProperties` - the respective properties to use for labels in each of the viewer's columns

#### bind

    public static <E> void bind​(AbstractTreeViewer viewer,
                                E input,
                                ISetProperty<? super E,​? extends E> childrenProperty,
                                IValueProperty<? super E,​?> labelProperty)

Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label property to generate labels.

Parameters:
  `viewer` - the tree viewer to set up
  `input` - the input to set on the viewer
  `childrenProperty` - the property to use as the children of an element
  `labelProperty` - the property to use for labels

#### bind

    @SafeVarargs
    public static <E> void bind​(AbstractTreeViewer viewer,
                                E input,
                                ISetProperty<? super E,​? extends E> childrenProperty,
                                IValueProperty<? super E,​?>... labelProperties)

Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label properties to generate labels.

Parameters:
  `viewer` - the tree viewer to set up
  `input` - the input to set on the viewer
  `childrenProperty` - the property to use as the children of an element
  `labelProperties` - the respective properties to use for labels in each of the viewer's columns